<?php

// Nécessite que la bibliothèque GD soit activée. Cette page étant destinée à
// être appelée par <img src="...", la non activation de GD ne génére
// aucun message d'erreur PHP ni interruption du script appelant, l'image ne
// s'affiche pas et c'est tout.


if (!function_exists("gd_info")) die(); 


// ==============================
// === Récupérer les paramètres  
// ==============================

$fdic = (isset($_GET['fdic'])) ? $_GET['fdic'] : '';  // nom du fichier_dico
$id = (isset($_GET['id'])) ? $_GET['id'] : '';        // id de l'icône à retourner


// ===========================================
// === Extraction et traitement de l'icône    
// ===========================================


// --- Connexion  à la base-dico sqlite
$db = new PDO('sqlite:../dic/' . $fdic, '', '');        
       

// --- Extraire les données de l'icône
$ic = $db->query('SELECT * FROM Icones WHERE id = ' . $db->quote($id));   
if ($ic)
    {
    $ic = $ic->fetch(PDO::FETCH_ASSOC);
    }
    
$db = null;

// si le code de l'image est vide on renvoit à sa place une image gif 10x10, 2 couleurs, transparente
if (!$ic['b64'])
    {
    $ic['type'] = 'gif';
    $ic['b64'] = 'R0lGODlhCgAKAIAAAAAAAP///yH5BAEAAAEALAAAAAAKAAoAAAIIjI+py+0PYysAOw==';
    }

// --- Créer un objet image
$img = imagecreatefromstring(base64_decode($ic['b64']));


// ====================================
// === Envoi de l'image au navigateur  
// ====================================

header("Content-Type: image/gif");

switch ($ic['type'])    
    {
    case 'gif':
        imagegif($img);	
        break;
	case 'png':
        imagepng($img);	
        break;
	case 'jpg':
        imagejpeg($img);	
        break;
    }

imagedestroy($img);

?>